Subject: RE: Serious Problems

From: "Rouillard, John" <[email-masked]>
Date: Tue, 6 Jun 2000 15:53:13 -0400

> 1) It appears that sometimes documents stored on the server 
> (especially saved on the server) get corrupted in some way: with some 
> files copied back to the mac, norton disk doctor (5.0) reports major
problems, 
> that can only be corrected by replacing the files with original ones. (But

> where to take originals from ?? :( )

If you are using a G4, make sure you have the 1.8.1 bios installed. I saw
data corruption problems with the G4 against a netatalk server when the G4
was using 1.7.?? rom bios.

Upgrading the G4 bios also (form some unknown reason) stopped data
corruption problems between a power mac and the netatalk server, so you
might want to check all the machines for bios issues. Also the G4 and macOS9
has an ethernet problems that can be solved by a patch.

Both patches are available from the support section of www.apple.com.

> 2) There are often problems with files, that can be opened 
> with an app (e.g. quark xpress), can be saved, can be copied or moved on
the 
> server, but when you try to copy them to the macintosh, the operation will
be 
> canceled with error number -39.

This may be the alias issue rearing its ugly head.

-- rouilj

---

From: "Michael Paesold" <[email-masked]>
Date: Wed, 7 Jun 2000 12:40:08 +0200

As suggested, here are some pieces of error logs:

There are some problems with PAM. I though of recompiling netatalk myself
because of that, but first I wanted to find out about the other problems. No
errors between login and logout:

-- login --
Jun  7 09:51:41 wienside PAM-warn[16680]: service: netatalk [on terminal:
afpd]
Jun  7 09:51:41 wienside PAM-warn[16680]: user: (uid=0) -> erik [remote:
?nobody@?nowhere]
Jun  7 09:51:41 wienside PAM-warn[16680]: service: netatalk [on terminal:
afpd]
Jun  7 09:51:41 wienside PAM-warn[16680]: user: (uid=0) -> erik [remote:
?nobody@?nowhere]
Jun  7 09:51:41 wienside PAM-warn[16680]: service: netatalk [on terminal:
afpd]
Jun  7 09:51:41 wienside PAM-warn[16680]: user: (uid=0) -> erik [remote:
?nobody@?nowhere]
Jun  7 09:5:41 wienside PAM-unix2[16680]: session started for user erik,
service netatalk
Jun  7 09:51:41 wienside afpd[16680]: login erik (uid 506, gid 100)
-- logout: --
Jun  7 10:02:43 wienside afpd[16680]: logout
Jun  7 10:02:43 wienside afpd[16680]: 9172.79KB read, 58.94KB written
Jun  7 10:02:43 wienside PAM-warn[16680]: service: netatalk [on terminal:
afpd]
Jun  7 10:02:43 wienside PAM-warn[16680]: user: (uid=0) -> erik [remote:
?nobody@?nowhere]
Jun  7 10:02:43 wienside PAM-unix2[16680]: session finished for user erik,
service netatalk
Jun  7 10:02:43 wienside afpd[3196]: server_child[1] 16680 done

I found only one permission related error (problem should be solved
already):
Jun  7 11:06:05 wienside afpd[16923]: login laci (uid 508, gid 100)
Jun  7 11:07:08 wienside afpd[16923]: setdirowner: chown -1/0
.AppleDouble/.Parent: Operation not permitted

Perhaps there are also some ethernet problems, I stumbled about this one the
first time:
Jun  7 10:45:23 wienside kernel: eth1: Transmit error, Tx status register
82.
[repeated several times]

While looking at the logs, following happend. I thought of a bad error, but
talking to the user, I think this could have also been a force quit of the
finder..
Anyone has got an idea?

Jun  7 11:20:50 wienside PAM-unix2[17003]: session started for user laci,
service netatalk
Jun  7 11:20:50 wienside afpd[17003]: login laci (uid 508, gid 100)
Jun  7 11:20:52 wienside afpd[17003]: setdirowner: chown -1/0
.AppleDouble/.Parent: Operation not permitted
Jun  7 11:24:10 wienside afpd[17003]: dsi_stream_read(-1): Connection reset
by peer
Jun  7 11:24:10 wienside afpd[17003]: dsi_stream_write: Broken pipe
Jun  7 11:24:10 wienside afpd[17003]: 21.70KB read, 3367.54KB written
Jun  7 11:24:10 wienside PAM-warn[17003]: service: netatalk [on terminal:
afpd]
Jun  7 11:24:10 wienside PAM-warn[17003]: user: (uid=0) -> laci [remote:
?nobody@?nowhere]
Jun  7 11:24:10 wienside PAM-unix2[17003]: session finished for user laci,
service netatalk
Jun  7 11:24:10 wienside afpd[17003]: dsi_stream_write: Broken pipe
Jun  7 11:24:10 wienside afpd[3196]: server_child[1] 17003 exited 1

Thanks,
Michael

--
Michael Paesold mailto:[email-masked]
Vienna, Austria

---

From: "Luke McNeilage" <[email-masked]>
Date: Thu, 08 Jun 2000 12:23:14 +1000

Well actually Super Users DOing Mac.
----------
>From: Chip Mefford <[email-masked]>
>To: NTalk <[email-masked]>
>Subject: Re: Serious Problems
>Date: Thu, 8 Jun 2000 11:44 AM
>

>
>>
>>I call you sudo because you are neither UNIX nor MAC.
>
>
> Ahh! pseudo, I was completely stumped.
>
>
>>  The moment you raise
>>issues about security and all that UNIX paranoia, you should get out of
>>pre-press. Work-Flow depends on just that, open flow of ideas.
>
> EVERYTHING in networking is about the open flow of ideas, Security has come
> about out of necessity, being burned too many times, and learning the hard
> way. As pre-press becomes more and more interconnected, pre-press with
> figure that out as well.
>
> Many permission/security schemes are quite complex and work quite well.
> chmod -R 777 * could undo a whole lot of good as well as a many hours
> of hair pulling. I wouldn't recommend it.
>
> I do however, concur with you completely, that in the end, so much of this
> is screwed up perms.
>
>
>>Did you try what I said first. Then look at you security. Its a work-flow
>>issue, first, security second.
>
> I don't agree, not at all.
>
> And you are also right, I am neither a Unix nor a Mac person, nor a Windows
> person either, I hate all computers with equal vehemence.
> ------------------------------------------------------------
>   Chip Mefford BOFH
>   SysMom                               Zz
>   [email-masked]                zZ
>   Audiovisual-Washington, Inc        |\ z    _,,,---,,_
>   1 Export Drive                     /,`.-'`'    _   ;-;;,_
>   Sterling, Virginia  USA           |,4-  ) )-,_..;\ (  `'_'
>   20164-4421                       '---''(_/--'  `-'\_)
>   800.731.2090 FAX 703.404.8940
>   LAT 38.59'37.3" N LON 77.25'35.8" W
>   -------------------------------------------------------------
>